CoreGTK 3.22.0 CoreGTK is an Objective-C language binding for the GTK+ widget toolkit

Instance Methods | List of all members
CGTKIconView Class Reference
Inheritance diagram for CGTKIconView:
[legend]
Collaboration diagram for CGTKIconView:
[legend]

## Instance Methods
(id) | - init
(id) | - initWithArea:
(id) | - initWithModel:
(GtkIconView *) | - ICONVIEW
(void) | - convertWidgetToBinWindowCoordsWithWx:andWy:andBx:andBy:
(cairo_surface_t *) | - createDragIcon:
(void) | - enableModelDragDestWithTargets:andNtargets:andActions:
(void) | - enableModelDragSourceWithStartButtonMask:andTargets:andNtargets:andActions:
(BOOL) | - getActivateOnSingleClick
(BOOL) | - getCellRectWithPath:andCell:andRect:
(gint) | - getColumnSpacing
(gint) | - getColumns
(BOOL) | - getCursorWithPath:andCell:
(BOOL) | - getDestItemAtPosWithDragX:andDragY:andPath:andPos:
(void) | - getDragDestItemWithPath:andPos:
(BOOL) | - getItemAtPosWithX:andY:andPath:andCell:
(gint) | - getItemColumn:
(GtkOrientation) | - getItemOrientation
(gint) | - getItemPadding
(gint) | - getItemRow:
(gint) | - getItemWidth
(gint) | - getMargin
(gint) | - getMarkupColumn
(GtkTreeModel *) | - getModel
(GtkTreePath *) | - getPathAtPosWithX:andY:
(gint) | - getPixbufColumn
(BOOL) | - getReorderable
(gint) | - getRowSpacing
(GList *) | - getSelectedItems
(GtkSelectionMode) | - getSelectionMode
(gint) | - getSpacing
(gint) | - getTextColumn
(gint) | - getTooltipColumn
(BOOL) | - getTooltipContextWithX:andY:andKeyboardTip:andModel:andPath:andIter:
(BOOL) | - getVisibleRangeWithStartPath:andEndPath:
(void) | - itemActivated:
(BOOL) | - pathIsSelected:
(void) | - scrollToPathWithPath:andUseAlign:andRowAlign:andColAlign:
(void) | - selectAll
(void) | - selectPath:
(void) | - selectedForeachWithFunc:andData:
(void) | - setActivateOnSingleClick:
(void) | - setColumnSpacing:
(void) | - setColumns:
(void) | - setCursorWithPath:andCell:andStartEditing:
(void) | - setDragDestItemWithPath:andPos:
(void) | - setItemOrientation:
(void) | - setItemPadding:
(void) | - setItemWidth:
(void) | - setMargin:
(void) | - setMarkupColumn:
(void) | - setModel:
(void) | - setPixbufColumn:
(void) | - setReorderable:
(void) | - setRowSpacing:
(void) | - setSelectionMode:
(void) | - setSpacing:
(void) | - setTextColumn:
(void) | - setTooltipCellWithTooltip:andPath:andCell:
(void) | - setTooltipColumn:
(void) | - setTooltipItemWithTooltip:andPath:
(void) | - unselectAll
(void) | - unselectPath:
(void) | - unsetModelDragDest
(void) | - unsetModelDragSource
Instance Methods inherited from CGTKContainer
(GtkContainer *) | - CONTAINER
(void) | - addWidget:withProperties:
(void) | - add:
(void) | - checkResize
(void) | - childGetPropertyWithChild:andPropertyName:andValue:
(void) | - childGetValistWithChild:andFirstPropertyName:andVarArgs:
(void) | - childNotifyWithChild:andChildProperty:
(void) | - childNotifyByPspecWithChild:andPspec:
(void) | - childSetPropertyWithChild:andPropertyName:andValue:
(void) | - childSetValistWithChild:andFirstPropertyName:andVarArgs:
(GType) | - childType
(void) | - forallWithCallback:andCallbackData:
(void) | - foreachWithCallback:andCallbackData:
(guint) | - getBorderWidth
(GList *) | - getChildren
(BOOL) | - getFocusChain:
(CGTKWidget *) | - getFocusChild
(GtkAdjustment *) | - getFocusHadjustment
(GtkAdjustment *) | - getFocusVadjustment
(GtkWidgetPath *) | - getPathForChild:
(GtkResizeMode) | - getResizeMode
(void) | - propagateDrawWithChild:andCr:
(void) | - remove:
(void) | - resizeChildren
(void) | - setBorderWidth:
(void) | - setFocusChain:
(void) | - setFocusChild:
(void) | - setFocusHadjustment:
(void) | - setFocusVadjustment:
(void) | - setReallocateRedraws:
(void) | - setResizeMode:
(void) | - unsetFocusChain
Instance Methods inherited from CGTKWidget
(GtkWidget *) | - WIDGET
(BOOL) | - activate
(void) | - addAcceleratorWithAccelSignal:andAccelGroup:andAccelKey:andAccelMods:andAccelFlags:
(void) | - addDeviceEventsWithDevice:andEvents:
(void) | - addEvents:
(void) | - addMnemonicLabel:
(guint) | - addTickCallbackWithCallback:andUserData:andNotify:
(BOOL) | - canActivateAccel:
(BOOL) | - childFocus:
(void) | - childNotify:
(void) | - classPathWithPathLength:andPath:andPathReversed:
(BOOL) | - computeExpand:
(PangoContext *) | - createPangoContext
(PangoLayout *) | - createPangoLayout:
(void) | - destroy
(void) | - destroyed:
(BOOL) | - deviceIsShadowed:
(GdkDragContext *) | - gtkDragBeginWithTargets:andActions:andButton:andEvent:
(GdkDragContext *) | - gtkDragBeginWithCoordinatesWithTargets:andActions:andButton:andEvent:andX:andY:
(BOOL) | - gtkDragCheckThresholdWithStartX:andStartY:andCurrentX:andCurrentY:
(void) | - gtkDragDestAddImageTargets
(void) | - gtkDragDestAddTextTargets
(void) | - gtkDragDestAddUriTargets
(GdkAtom) | - gtkDragDestFindTargetWithContext:andTargetList:
(GtkTargetList *) | - gtkDragDestGetTargetList
(BOOL) | - gtkDragDestGetTrackMotion
(void) | - gtkDragDestSetWithFlags:andTargets:andNtargets:andActions:
(void) | - gtkDragDestSetProxyWithProxyWindow:andProtocol:andUseCoordinates:
(void) | - gtkDragDestSetTargetList:
(void) | - gtkDragDestSetTrackMotion:
(void) | - gtkDragDestUnset
(void) | - gtkDragGetDataWithContext:andTarget:andTime:
(void) | - gtkDragHighlight
(void) | - gtkDragSourceAddImageTargets
(void) | - gtkDragSourceAddTextTargets
(void) | - gtkDragSourceAddUriTargets
(GtkTargetList *) | - gtkDragSourceGetTargetList
(void) | - gtkDragSourceSetWithStartButtonMask:andTargets:andNtargets:andActions:
(void) | - gtkDragSourceSetIconGicon:
(void) | - gtkDragSourceSetIconName:
(void) | - gtkDragSourceSetIconPixbuf:
(void) | - gtkDragSourceSetIconStock:
(void) | - gtkDragSourceSetTargetList:
(void) | - gtkDragSourceUnset
(void) | - gtkDragUnhighlight
(void) | - draw:
(void) | - ensureStyle
(void) | - errorBell
(BOOL) | - event:
(void) | - freezeChildNotify
(AtkObject *) | - getAccessible
(GActionGroup *) | - getActionGroup:
(int) | - getAllocatedBaseline
(int) | - getAllocatedHeight
(void) | - getAllocatedSizeWithAllocation:andBaseline:
(int) | - getAllocatedWidth
(void) | - getAllocation:
(CGTKWidget *) | - getAncestor:
(BOOL) | - getAppPaintable
(BOOL) | - getCanDefault
(BOOL) | - getCanFocus
(void) | - getChildRequisition:
(BOOL) | - getChildVisible
(void) | - getClip:
(GtkClipboard *) | - getClipboard:
(NSString *) | - getCompositeName
(BOOL) | - getDeviceEnabled:
(GdkEventMask) | - getDeviceEvents:
(GtkTextDirection) | - getDirection
(GdkDisplay *) | - getDisplay
(BOOL) | - getDoubleBuffered
(gint) | - getEvents
(BOOL) | - getFocusOnClick
(PangoFontMap *) | - getFontMap
(const cairo_font_options_t *) | - getFontOptions
(GdkFrameClock *) | - getFrameClock
(GtkAlign) | - getHalign
(BOOL) | - getHasTooltip
(BOOL) | - getHasWindow
(BOOL) | - getHexpand
(BOOL) | - getHexpandSet
(BOOL) | - getMapped
(gint) | - getMarginBottom
(gint) | - getMarginEnd
(gint) | - getMarginLeft
(gint) | - getMarginRight
(gint) | - getMarginStart
(gint) | - getMarginTop
(GdkModifierType) | - getModifierMask:
(GtkRcStyle *) | - getModifierStyle
(NSString *) | - getName
(BOOL) | - getNoShowAll
(double) | - getOpacity
(PangoContext *) | - getPangoContext
(CGTKWidget *) | - getParent
(GdkWindow *) | - getParentWindow
(GtkWidgetPath *) | - getPath
(void) | - getPointerWithX:andY:
(void) | - getPreferredHeightWithMinimumHeight:andNaturalHeight:
(void) | - getPreferredHeightAndBaselineForWidthWithWidth:andMinimumHeight:andNaturalHeight:andMinimumBaseline:andNaturalBaseline:
(void) | - getPreferredHeightForWidthWithWidth:andMinimumHeight:andNaturalHeight:
(void) | - getPreferredSizeWithMinimumSize:andNaturalSize:
(void) | - getPreferredWidthWithMinimumWidth:andNaturalWidth:
(void) | - getPreferredWidthForHeightWithHeight:andMinimumWidth:andNaturalWidth:
(BOOL) | - getRealized
(BOOL) | - getReceivesDefault
(GtkSizeRequestMode) | - getRequestMode
(void) | - getRequisition:
(GdkWindow *) | - getRootWindow
(gint) | - getScaleFactor
(GdkScreen *) | - getScreen
(BOOL) | - getSensitive
(GtkSettings *) | - getSettings
(void) | - getSizeRequestWithWidth:andHeight:
(GtkStateType) | - getState
(GtkStateFlags) | - getStateFlags
(GtkStyle *) | - getStyle
(GtkStyleContext *) | - getStyleContext
(BOOL) | - getSupportMultidevice
(GObject *) | - getTemplateChildWithWidgetType:andName:
(NSString *) | - getTooltipMarkup
(NSString *) | - getTooltipText
(GtkWindow *) | - getTooltipWindow
(CGTKWidget *) | - getToplevel
(GtkAlign) | - getValign
(GtkAlign) | - getValignWithBaseline
(BOOL) | - getVexpand
(BOOL) | - getVexpandSet
(BOOL) | - getVisible
(GdkVisual *) | - getVisual
(GdkWindow *) | - getWindow
(void) | - gtkGrabAdd
(void) | - grabDefault
(void) | - grabFocus
(void) | - gtkGrabRemove
(BOOL) | - hasDefault
(BOOL) | - hasFocus
(BOOL) | - hasGrab
(BOOL) | - hasRcStyle
(BOOL) | - hasScreen
(BOOL) | - hasVisibleFocus
(void) | - hide
(BOOL) | - hideOnDelete
(BOOL) | - inDestruction
(void) | - initTemplate
(void) | - inputShapeCombineRegion:
(void) | - insertActionGroupWithName:andGroup:
(BOOL) | - intersectWithArea:andIntersection:
(BOOL) | - isAncestor:
(BOOL) | - isComposited
(BOOL) | - isDrawable
(BOOL) | - isFocus
(BOOL) | - isSensitive
(BOOL) | - isToplevel
(BOOL) | - isVisible
(BOOL) | - keynavFailed:
(GList *) | - listAccelClosures
(const gchar **) | - listActionPrefixes
(GList *) | - listMnemonicLabels
(void) | - map
(BOOL) | - mnemonicActivate:
(void) | - modifyBaseWithState:andColor:
(void) | - modifyBgWithState:andColor:
(void) | - modifyCursorWithPrimary:andSecondary:
(void) | - modifyFgWithState:andColor:
(void) | - modifyFont:
(void) | - modifyStyle:
(void) | - modifyTextWithState:andColor:
(void) | - overrideBackgroundColorWithState:andColor:
(void) | - overrideColorWithState:andColor:
(void) | - overrideCursorWithCursor:andSecondaryCursor:
(void) | - overrideFont:
(void) | - overrideSymbolicColorWithName:andColor:
(void) | - pathWithPathLength:andPath:andPathReversed:
(void) | - queueAllocate
(void) | - queueComputeExpand
(void) | - queueDraw
(void) | - queueDrawAreaWithX:andY:andWidth:andHeight:
(void) | - queueDrawRegion:
(void) | - queueResize
(void) | - queueResizeNoRedraw
(void) | - realize
(cairo_region_t *) | - regionIntersect:
(void) | - registerWindow:
(BOOL) | - removeAcceleratorWithAccelGroup:andAccelKey:andAccelMods:
(void) | - removeMnemonicLabel:
(void) | - removeTickCallback:
(GdkPixbuf *) | - renderIconWithStockId:andSize:andDetail:
(GdkPixbuf *) | - renderIconPixbufWithStockId:andSize:
(void) | - reparent:
(void) | - resetRcStyles
(void) | - resetStyle
(gint) | - sendExpose:
(BOOL) | - sendFocusChange:
(void) | - setAccelPathWithAccelPath:andAccelGroup:
(void) | - setAllocation:
(void) | - setAppPaintable:
(void) | - setCanDefault:
(void) | - setCanFocus:
(void) | - setChildVisible:
(void) | - setClip:
(void) | - setCompositeName:
(void) | - setDeviceEnabledWithDevice:andEnabled:
(void) | - setDeviceEventsWithDevice:andEvents:
(void) | - setDirection:
(void) | - setDoubleBuffered:
(void) | - setEvents:
(void) | - setFocusOnClick:
(void) | - setFontMap:
(void) | - setFontOptions:
(void) | - setHalign:
(void) | - setHasTooltip:
(void) | - setHasWindow:
(void) | - setHexpand:
(void) | - setHexpandSet:
(void) | - setMapped:
(void) | - setMarginBottom:
(void) | - setMarginEnd:
(void) | - setMarginLeft:
(void) | - setMarginRight:
(void) | - setMarginStart:
(void) | - setMarginTop:
(void) | - setName:
(void) | - setNoShowAll:
(void) | - setOpacity:
(void) | - setParent:
(void) | - setParentWindow:
(void) | - setRealized:
(void) | - setReceivesDefault:
(void) | - setRedrawOnAllocate:
(void) | - setSensitive:
(void) | - setSizeRequestWithWidth:andHeight:
(void) | - setState:
(void) | - setStateFlagsWithFlags:andClear:
(void) | - setStyle:
(void) | - setSupportMultidevice:
(void) | - setTooltipMarkup:
(void) | - setTooltipText:
(void) | - setTooltipWindow:
(void) | - setValign:
(void) | - setVexpand:
(void) | - setVexpandSet:
(void) | - setVisible:
(void) | - setVisual:
(void) | - setWindow:
(void) | - shapeCombineRegion:
(void) | - show
(void) | - showAll
(void) | - showNow
(void) | - sizeAllocate:
(void) | - sizeAllocateWithBaselineWithAllocation:andBaseline:
(void) | - sizeRequest:
(void) | - styleAttach
(void) | - styleGetPropertyWithPropertyName:andValue:
(void) | - styleGetValistWithFirstPropertyName:andVarArgs:
(void) | - thawChildNotify
(BOOL) | - translateCoordinatesWithDestWidget:andSrcX:andSrcY:andDestX:andDestY:
(void) | - triggerTooltipQuery
(void) | - unmap
(void) | - unparent
(void) | - unrealize
(void) | - unregisterWindow:
(void) | - unsetStateFlags:
Instance Methods inherited from CGTKBase
(id) | - initWithGObject:
(void) | - setGObject:
(GObject *) | - GOBJECT

## Additional Inherited Members
Class Methods inherited from CGTKWidget
(GtkTextDirection) | + getDefaultDirection
(GtkStyle *) | + getDefaultStyle
(void) | + popCompositeChild
(void) | + pushCompositeChild
(void) | + setDefaultDirection:
Class Methods inherited from CGTKBase
(CGTKBase *) | + withGObject:
Protected Attributes inherited from CGTKBase
GObject * | __gObject

## Detailed Description

Definition at line 34 of file CGTKIconView.h.

## Method Documentation

## ◆ convertWidgetToBinWindowCoordsWithWx:andWy:andBx:andBy:()

- (void) convertWidgetToBinWindowCoordsWithWx: |  | (gint) | wx
andWy: |  | (gint) | wy
andBx: |  | (gint*) | bx
andBy: |  | (gint*) | by

-(void*)convertWidgetToBinWindowCoordsWithWx:(gint) wx andWy:(gint) wy andBx:(gint*) bx andBy:(gint*) by;

Parameters

  wx |
  wy |
  bx |
  by |

Definition at line 77 of file CGTKIconView.m.

## ◆ createDragIcon:()

- (cairo_surface_t *) createDragIcon: |  | (GtkTreePath*) | path |

-(cairo_surface_t**)createDragIcon: path;

Parameters

  path |

Returns
  cairo_surface_t*

Definition at line 82 of file CGTKIconView.m.

## ◆ enableModelDragDestWithTargets:andNtargets:andActions:()

- (void) enableModelDragDestWithTargets: |  | (GtkTargetEntry*) | targets
andNtargets: |  | (gint) | ntargets
andActions: |  | (GdkDragAction) | actions

-(void*)enableModelDragDestWithTargets:(GtkTargetEntry*) targets andNtargets:(gint) ntargets andActions:(GdkDragAction) actions;

Parameters

  targets |
  ntargets |
  actions |

Definition at line 87 of file CGTKIconView.m.

## ◆ enableModelDragSourceWithStartButtonMask:andTargets:andNtargets:andActions:()

- (void) enableModelDragSourceWithStartButtonMask: |  | (GdkModifierType) | startButtonMask
andTargets: |  | (GtkTargetEntry*) | targets
andNtargets: |  | (gint) | ntargets
andActions: |  | (GdkDragAction) | actions

-(void*)enableModelDragSourceWithStartButtonMask:(GdkModifierType) startButtonMask andTargets:(GtkTargetEntry*) targets andNtargets:(gint) ntargets andActions:(GdkDragAction) actions;

Parameters

  startButtonMask |
  targets |
  ntargets |
  actions |

Definition at line 92 of file CGTKIconView.m.

## ◆ getActivateOnSingleClick()

- (BOOL) getActivateOnSingleClick |  |  |

-(BOOL*)getActivateOnSingleClick;

Returns
  BOOL

Definition at line 97 of file CGTKIconView.m.

## ◆ getCellRectWithPath:andCell:andRect:()

- (BOOL) getCellRectWithPath: |  | (GtkTreePath*) | path
andCell: |  | (GtkCellRenderer*) | cell
andRect: |  | (GdkRectangle*) | rect

-(BOOL*)getCellRectWithPath:(GtkTreePath*) path andCell:(GtkCellRenderer*) cell andRect:(GdkRectangle*) rect;

Parameters

  path |
  cell |
  rect |

Returns
  BOOL

Definition at line 102 of file CGTKIconView.m.

## ◆ getColumns()

- (gint) getColumns |  |  |

-(gint*)getColumns;

Returns
  gint

Definition at line 112 of file CGTKIconView.m.

## ◆ getColumnSpacing()

- (gint) getColumnSpacing |  |  |

-(gint*)getColumnSpacing;

Returns
  gint

Definition at line 107 of file CGTKIconView.m.

## ◆ getCursorWithPath:andCell:()

- (BOOL) getCursorWithPath: |  | (GtkTreePath**) | path
andCell: |  | (GtkCellRenderer**) | cell

-(BOOL*)getCursorWithPath:(GtkTreePath**) path andCell:(GtkCellRenderer**) cell;

Parameters

  path |
  cell |

Returns
  BOOL

Definition at line 117 of file CGTKIconView.m.

## ◆ getDestItemAtPosWithDragX:andDragY:andPath:andPos:()

- (BOOL) getDestItemAtPosWithDragX: |  | (gint) | dragX
andDragY: |  | (gint) | dragY
andPath: |  | (GtkTreePath**) | path
andPos: |  | (GtkIconViewDropPosition*) | pos

-(BOOL*)getDestItemAtPosWithDragX:(gint) dragX andDragY:(gint) dragY andPath:(GtkTreePath**) path andPos:(GtkIconViewDropPosition*) pos;

Parameters

  dragX |
  dragY |
  path |
  pos |

Returns
  BOOL

Definition at line 122 of file CGTKIconView.m.

## ◆ getDragDestItemWithPath:andPos:()

- (void) getDragDestItemWithPath: |  | (GtkTreePath**) | path
andPos: |  | (GtkIconViewDropPosition*) | pos

-(void*)getDragDestItemWithPath:(GtkTreePath**) path andPos:(GtkIconViewDropPosition*) pos;

Parameters

  path |
  pos |

Definition at line 127 of file CGTKIconView.m.

## ◆ getItemAtPosWithX:andY:andPath:andCell:()

- (BOOL) getItemAtPosWithX: |  | (gint) | x
andY: |  | (gint) | y
andPath: |  | (GtkTreePath**) | path
andCell: |  | (GtkCellRenderer**) | cell

-(BOOL*)getItemAtPosWithX:(gint) x andY:(gint) y andPath:(GtkTreePath**) path andCell:(GtkCellRenderer**) cell;

Parameters

  x |
  y |
  path |
  cell |

Returns
  BOOL

Definition at line 132 of file CGTKIconView.m.

## ◆ getItemColumn:()

- (gint) getItemColumn: |  | (GtkTreePath*) | path |

-(gint*)getItemColumn: path;

Parameters

  path |

Returns
  gint

Definition at line 137 of file CGTKIconView.m.

## ◆ getItemOrientation()

- (GtkOrientation) getItemOrientation |  |  |

-(GtkOrientation*)getItemOrientation;

Returns
  GtkOrientation

Definition at line 142 of file CGTKIconView.m.

## ◆ getItemPadding()

- (gint) getItemPadding |  |  |

-(gint*)getItemPadding;

Returns
  gint

Definition at line 147 of file CGTKIconView.m.

## ◆ getItemRow:()

- (gint) getItemRow: |  | (GtkTreePath*) | path |

-(gint*)getItemRow: path;

Parameters

  path |

Returns
  gint

Definition at line 152 of file CGTKIconView.m.

## ◆ getItemWidth()

- (gint) getItemWidth |  |  |

-(gint*)getItemWidth;

Returns
  gint

Definition at line 157 of file CGTKIconView.m.

## ◆ getMargin()

- (gint) getMargin |  |  |

-(gint*)getMargin;

Returns
  gint

Definition at line 162 of file CGTKIconView.m.

## ◆ getMarkupColumn()

- (gint) getMarkupColumn |  |  |

-(gint*)getMarkupColumn;

Returns
  gint

Definition at line 167 of file CGTKIconView.m.

## ◆ getModel()

- (GtkTreeModel *) getModel |  |  |

-(GtkTreeModel**)getModel;

Returns
  GtkTreeModel*

Definition at line 172 of file CGTKIconView.m.

## ◆ getPathAtPosWithX:andY:()

- (GtkTreePath *) getPathAtPosWithX: |  | (gint) | x
andY: |  | (gint) | y

-(GtkTreePath**)getPathAtPosWithX:(gint) x andY:(gint) y;

Parameters

  x |
  y |

Returns
  GtkTreePath*

Definition at line 177 of file CGTKIconView.m.

## ◆ getPixbufColumn()

- (gint) getPixbufColumn |  |  |

-(gint*)getPixbufColumn;

Returns
  gint

Definition at line 182 of file CGTKIconView.m.

## ◆ getReorderable()

- (BOOL) getReorderable |  |  |

-(BOOL*)getReorderable;

Returns
  BOOL

Definition at line 187 of file CGTKIconView.m.

## ◆ getRowSpacing()

- (gint) getRowSpacing |  |  |

-(gint*)getRowSpacing;

Returns
  gint

Definition at line 192 of file CGTKIconView.m.

## ◆ getSelectedItems()

- (GList *) getSelectedItems |  |  |

-(GList**)getSelectedItems;

Returns
  GList*

Definition at line 197 of file CGTKIconView.m.

## ◆ getSelectionMode()

- (GtkSelectionMode) getSelectionMode |  |  |

-(GtkSelectionMode*)getSelectionMode;

Returns
  GtkSelectionMode

Definition at line 202 of file CGTKIconView.m.

## ◆ getSpacing()

- (gint) getSpacing |  |  |

-(gint*)getSpacing;

Returns
  gint

Definition at line 207 of file CGTKIconView.m.

## ◆ getTextColumn()

- (gint) getTextColumn |  |  |

-(gint*)getTextColumn;

Returns
  gint

Definition at line 212 of file CGTKIconView.m.

## ◆ getTooltipColumn()

- (gint) getTooltipColumn |  |  |

-(gint*)getTooltipColumn;

Returns
  gint

Definition at line 217 of file CGTKIconView.m.

## ◆ getTooltipContextWithX:andY:andKeyboardTip:andModel:andPath:andIter:()

- (BOOL) getTooltipContextWithX: |  | (gint*) | x
andY: |  | (gint*) | y
andKeyboardTip: |  | (BOOL) | keyboardTip
andModel: |  | (GtkTreeModel**) | model
andPath: |  | (GtkTreePath**) | path
andIter: |  | (GtkTreeIter*) | iter

-(BOOL*)getTooltipContextWithX:(gint*) x andY:(gint*) y andKeyboardTip:(BOOL) keyboardTip andModel:(GtkTreeModel**) model andPath:(GtkTreePath**) path andIter:(GtkTreeIter*) iter;

Parameters

  x |
  y |
  keyboardTip |
  model |
  path |
  iter |

Returns
  BOOL

Definition at line 222 of file CGTKIconView.m.

## ◆ getVisibleRangeWithStartPath:andEndPath:()

- (BOOL) getVisibleRangeWithStartPath: |  | (GtkTreePath**) | startPath
andEndPath: |  | (GtkTreePath**) | endPath

-(BOOL*)getVisibleRangeWithStartPath:(GtkTreePath**) startPath andEndPath:(GtkTreePath**) endPath;

Parameters

  startPath |
  endPath |

Returns
  BOOL

Definition at line 227 of file CGTKIconView.m.

## ◆ ICONVIEW()

- (GtkIconView *) ICONVIEW |  |  |

Methods

Definition at line 72 of file CGTKIconView.m.

## ◆ init()

- (id) init |  |  |

Constructors

Definition at line 36 of file CGTKIconView.m.

## ◆ itemActivated:()

- (void) itemActivated: |  | (GtkTreePath*) | path |

-(void*)itemActivated: path;

Parameters

  path |

Definition at line 232 of file CGTKIconView.m.

## ◆ pathIsSelected:()

- (BOOL) pathIsSelected: |  | (GtkTreePath*) | path |

-(BOOL*)pathIsSelected: path;

Parameters

  path |

Returns
  BOOL

Definition at line 237 of file CGTKIconView.m.

## ◆ scrollToPathWithPath:andUseAlign:andRowAlign:andColAlign:()

- (void) scrollToPathWithPath: |  | (GtkTreePath*) | path
andUseAlign: |  | (BOOL) | useAlign
andRowAlign: |  | (gfloat) | rowAlign
andColAlign: |  | (gfloat) | colAlign

-(void*)scrollToPathWithPath:(GtkTreePath*) path andUseAlign:(BOOL) useAlign andRowAlign:(gfloat) rowAlign andColAlign:(gfloat) colAlign;

Parameters

  path |
  useAlign |
  rowAlign |
  colAlign |

Definition at line 242 of file CGTKIconView.m.

## ◆ selectAll()

- (void) selectAll |  |  |

-(void*)selectAll;

Definition at line 247 of file CGTKIconView.m.

## ◆ selectedForeachWithFunc:andData:()

- (void) selectedForeachWithFunc: |  | (GtkIconViewForeachFunc) | func
andData: |  | (gpointer) | data

-(void*)selectedForeachWithFunc:(GtkIconViewForeachFunc) func andData:(gpointer) data;

Parameters

  func |
  data |

Definition at line 257 of file CGTKIconView.m.

## ◆ selectPath:()

- (void) selectPath: |  | (GtkTreePath*) | path |

-(void*)selectPath: path;

Parameters

  path |

Definition at line 252 of file CGTKIconView.m.

## ◆ setActivateOnSingleClick:()

- (void) setActivateOnSingleClick: |  | (BOOL) | single |

-(void*)setActivateOnSingleClick: single;

Parameters

  single |

Definition at line 262 of file CGTKIconView.m.

## ◆ setColumns:()

- (void) setColumns: |  | (gint) | columns |

-(void*)setColumns: columns;

Parameters

  columns |

Definition at line 272 of file CGTKIconView.m.

## ◆ setColumnSpacing:()

- (void) setColumnSpacing: |  | (gint) | columnSpacing |

-(void*)setColumnSpacing: columnSpacing;

Parameters

  columnSpacing |

Definition at line 267 of file CGTKIconView.m.

## ◆ setCursorWithPath:andCell:andStartEditing:()

- (void) setCursorWithPath: |  | (GtkTreePath*) | path
andCell: |  | (GtkCellRenderer*) | cell
andStartEditing: |  | (BOOL) | startEditing

-(void*)setCursorWithPath:(GtkTreePath*) path andCell:(GtkCellRenderer*) cell andStartEditing:(BOOL) startEditing;

Parameters

  path |
  cell |
  startEditing |

Definition at line 277 of file CGTKIconView.m.

## ◆ setDragDestItemWithPath:andPos:()

- (void) setDragDestItemWithPath: |  | (GtkTreePath*) | path
andPos: |  | (GtkIconViewDropPosition) | pos

-(void*)setDragDestItemWithPath:(GtkTreePath*) path andPos:(GtkIconViewDropPosition) pos;

Parameters

  path |
  pos |

Definition at line 282 of file CGTKIconView.m.

## ◆ setItemOrientation:()

- (void) setItemOrientation: |  | (GtkOrientation) | orientation |

-(void*)setItemOrientation: orientation;

Parameters

  orientation |

Definition at line 287 of file CGTKIconView.m.

## ◆ setItemPadding:()

- (void) setItemPadding: |  | (gint) | itemPadding |

-(void*)setItemPadding: itemPadding;

Parameters

  itemPadding |

Definition at line 292 of file CGTKIconView.m.

## ◆ setItemWidth:()

- (void) setItemWidth: |  | (gint) | itemWidth |

-(void*)setItemWidth: itemWidth;

Parameters

  itemWidth |

Definition at line 297 of file CGTKIconView.m.

## ◆ setMargin:()

- (void) setMargin: |  | (gint) | margin |

-(void*)setMargin: margin;

Parameters

  margin |

Definition at line 302 of file CGTKIconView.m.

## ◆ setMarkupColumn:()

- (void) setMarkupColumn: |  | (gint) | column |

-(void*)setMarkupColumn: column;

Parameters

  column |

Definition at line 307 of file CGTKIconView.m.

## ◆ setModel:()

- (void) setModel: |  | (GtkTreeModel*) | model |

-(void*)setModel: model;

Parameters

  model |

Definition at line 312 of file CGTKIconView.m.

## ◆ setPixbufColumn:()

- (void) setPixbufColumn: |  | (gint) | column |

-(void*)setPixbufColumn: column;

Parameters

  column |

Definition at line 317 of file CGTKIconView.m.

## ◆ setReorderable:()

- (void) setReorderable: |  | (BOOL) | reorderable |

-(void*)setReorderable: reorderable;

Parameters

  reorderable |

Definition at line 322 of file CGTKIconView.m.

## ◆ setRowSpacing:()

- (void) setRowSpacing: |  | (gint) | rowSpacing |

-(void*)setRowSpacing: rowSpacing;

Parameters

  rowSpacing |

Definition at line 327 of file CGTKIconView.m.

## ◆ setSelectionMode:()

- (void) setSelectionMode: |  | (GtkSelectionMode) | mode |

-(void*)setSelectionMode: mode;

Parameters

  mode |

Definition at line 332 of file CGTKIconView.m.

## ◆ setSpacing:()

- (void) setSpacing: |  | (gint) | spacing |

-(void*)setSpacing: spacing;

Parameters

  spacing |

Definition at line 337 of file CGTKIconView.m.

## ◆ setTextColumn:()

- (void) setTextColumn: |  | (gint) | column |

-(void*)setTextColumn: column;

Parameters

  column |

Definition at line 342 of file CGTKIconView.m.

## ◆ setTooltipCellWithTooltip:andPath:andCell:()

- (void) setTooltipCellWithTooltip: |  | (GtkTooltip*) | tooltip
andPath: |  | (GtkTreePath*) | path
andCell: |  | (GtkCellRenderer*) | cell

-(void*)setTooltipCellWithTooltip:(GtkTooltip*) tooltip andPath:(GtkTreePath*) path andCell:(GtkCellRenderer*) cell;

Parameters

  tooltip |
  path |
  cell |

Definition at line 347 of file CGTKIconView.m.

## ◆ setTooltipColumn:()

- (void) setTooltipColumn: |  | (gint) | column |

-(void*)setTooltipColumn: column;

Parameters

  column |

Definition at line 352 of file CGTKIconView.m.

## ◆ setTooltipItemWithTooltip:andPath:()

- (void) setTooltipItemWithTooltip: |  | (GtkTooltip*) | tooltip
andPath: |  | (GtkTreePath*) | path

-(void*)setTooltipItemWithTooltip:(GtkTooltip*) tooltip andPath:(GtkTreePath*) path;

Parameters

  tooltip |
  path |

Definition at line 357 of file CGTKIconView.m.

## ◆ unselectAll()

- (void) unselectAll |  |  |

-(void*)unselectAll;

Definition at line 362 of file CGTKIconView.m.

## ◆ unselectPath:()

- (void) unselectPath: |  | (GtkTreePath*) | path |

-(void*)unselectPath: path;

Parameters

  path |

Definition at line 367 of file CGTKIconView.m.

## ◆ unsetModelDragDest()

- (void) unsetModelDragDest |  |  |

-(void*)unsetModelDragDest;

Definition at line 372 of file CGTKIconView.m.

## ◆ unsetModelDragSource()

- (void) unsetModelDragSource |  |  |

-(void*)unsetModelDragSource;

Definition at line 377 of file CGTKIconView.m.

The documentation for this class was generated from the following files:

- CGTKIconView.h
- CGTKIconView.m